Subject: Re: [PATCH] checkpatch/SubmittingPatches: Suggest line wrapping commit messages at 72 columns

From: Joe Perches <[email-masked]>
Date: Wed, 01 Apr 2015 13:09:29 -0700

On Wed, 2015-04-01 at 21:36 +0200, Jonathan Corbet wrote:
> On Wed, 1 Apr 2015 12:20:01 -0700
> Andrew Morton <[email-masked]> wrote:
> > waah, I use 75 and this patch has ruined my life.

crybaby... :)

> I use 75 too, FWIW.
> 
> It seems to me that nobody out there complains about 75-character lines
> in commit logs; it's the 120-character lines that irritate people.  I
> would suggest that this limit could be set to 75 (or even, say, 77)

77 might be one too many.

git log has a default 4 space indent of the commit message so
75 or 76 would still fit an 80 column screen.

> and
> still achieve its real purpose while leaving far fewer ruined lives in its
> wake. 

I don't wanna be held liable for that ruination, thanks.